#pragma once

#include <ArmarXCore/interface/core/PackagePath.ice>
#include <RobotAPI/interface/armem/memory.ice>
#include <RobotAPI/interface/armem/query.ice>

module armarx
{
    module armem
    {
        module data
        {
            struct StoreInput
            {
                armem::query::data::Input query;
            };
            sequence<StoreInput> StoreInputSeq;

            struct StoreResult
            {
                bool success = false;
                long timeStartedMicroSeconds;
                long timeFinishedMicroSeconds;

                string errorMessage;
            };
        };
    };
};
